# default | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (View Summary)

- default
  - default

- Defined in src/ui/modifier-select-ui-handler.ts:26

##### Index

### Constructors

constructor

### Properties

active
awaitingActionInput
cursor
mode
onActionInput
options
shopOptionsRows
tutorialActive
tutorialOverlay

### Methods

clear
destroy
eraseCursor
getCursor
getTextColor
getUi
initTutorialOverlay
processInput
processTutorialInput
setCursor
setMouseCursorStyle
setRerollCost
setRowCursor
setup
show
updateCostText
updateLockRaritiesText
updateRerollCostText

## Constructors

### constructor

- new default(): default

  #### Returns default

  Overrides default.constructor

  - Defined in src/ui/modifier-select-ui-handler.ts:53

## Properties

### active

active: boolean = false

Inherited from default.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` awaitingActionInput

awaitingActionInput: boolean

Inherited from default.awaitingActionInput

- Defined in src/ui/awaitable-ui-handler.ts:7

### `Protected` cursor

cursor: number = 0

Inherited from default.cursor

- Defined in src/ui/ui-handler.ts:12

### `Protected` mode

mode: null | number

Inherited from default.mode

- Defined in src/ui/ui-handler.ts:11

### `Protected` onActionInput

onActionInput: null | Function

Inherited from default.onActionInput

- Defined in src/ui/awaitable-ui-handler.ts:8

### options

options: ModifierOption[]

- Defined in src/ui/modifier-select-ui-handler.ts:48

### shopOptionsRows

shopOptionsRows: ModifierOption[][]

- Defined in src/ui/modifier-select-ui-handler.ts:49

### tutorialActive

tutorialActive: boolean = false

Inherited from default.tutorialActive

- Defined in src/ui/awaitable-ui-handler.ts:9

### tutorialOverlay

tutorialOverlay: Rectangle

Inherited from default.tutorialOverlay

- Defined in src/ui/awaitable-ui-handler.ts:10

## Methods

### clear

- clear(): void

  #### Returns void

  Overrides default.clear

  - Defined in src/ui/modifier-select-ui-handler.ts:661

### destroy

- destroy(): void

  To be implemented by individual handlers when necessary to free memory Called when BattleScene is reset

  #### Returns void

  Inherited from default.destroy

  - Defined in src/ui/ui-handler.ts:69

### eraseCursor

- eraseCursor(): void

  #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:719

### getCursor

- getCursor(): number

  #### Returns number

  Inherited from default.getCursor

  - Defined in src/ui/ui-handler.ts:40

### getTextColor

- getTextColor(style: TextStyle , shadow?: boolean): string

  #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from default.getTextColor

  - Defined in src/ui/ui-handler.ts:36

### getUi

- getUi(): default

  #### Returns default

  Inherited from default.getUi

  - Defined in src/ui/ui-handler.ts:32

### initTutorialOverlay

- initTutorialOverlay(container: Container): void

  Create a semi transparent overlay that will get shown during tutorials

  #### Parameters

  - container: Container

    the container to add the overlay to

  #### Returns void

  Inherited from default.initTutorialOverlay

  - Defined in src/ui/awaitable-ui-handler.ts:33

### processInput

- processInput(button: Button ): boolean

  #### Parameters

  - button: Button

  #### Returns boolean

  Overrides default.processInput

  - Defined in src/ui/modifier-select-ui-handler.ts:357

### processTutorialInput

- processTutorialInput(button: Button ): boolean

  #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from default.processTutorialInput

  - Defined in src/ui/awaitable-ui-handler.ts:16

### setCursor

- setCursor(cursor: number): boolean

  #### Parameters

  - cursor: number

  #### Returns boolean

  Overrides default.setCursor

  - Defined in src/ui/modifier-select-ui-handler.ts:497

### `Protected` setMouseCursorStyle

- setMouseCursorStyle(cursorStyle: "default" | "pointer"): void

  Changes the style of the mouse cursor.

  #### Parameters

  - cursorStyle: "default" | "pointer"

    cursor style to apply

  #### Returns void

  #### See

  https://developer.mozilla.org/en-US/docs/Web/CSS/cursor

  Inherited from default.setMouseCursorStyle

  - Defined in src/ui/ui-handler.ts:58

### setRerollCost

- setRerollCost(rerollCost: number): void

  #### Parameters

  - rerollCost: number

  #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:626

### setRowCursor

- setRowCursor(rowCursor: number): boolean

  #### Parameters

  - rowCursor: number

  #### Returns boolean

  - Defined in src/ui/modifier-select-ui-handler.ts:576

### setup

- setup(): void

  #### Returns void

  Overrides default.setup

  - Defined in src/ui/modifier-select-ui-handler.ts:60

### show

- show(args: any[]): boolean

  #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides default.show

  - Defined in src/ui/modifier-select-ui-handler.ts:164

### updateCostText

- updateCostText(): void

  #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:630

### updateLockRaritiesText

- updateLockRaritiesText(): void

  #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:655

### updateRerollCostText

- updateRerollCostText(): void

  #### Returns void

  - Defined in src/ui/modifier-select-ui-handler.ts:639